using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("安全方针调查反馈表")]
    public class T_PT_SAFETY_POLICY_SURVEY_FEEDBACK : MesEntityBase
    {
        /// <summary>
        /// 安全方针调查表ID
        /// </summary>
        [Description("安全方针调查表ID")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_SafetyPolicy", "Nav_Feedbacks")]
        public Guid SAFETY_POLICY_ID { get; set; }

        /// <summary>
        /// 导航属性：安全方针调查表
        /// </summary>
        [Description("导航属性：安全方针调查表")]
        public virtual T_PT_SAFETY_POLICY_SURVEY Nav_SafetyPolicy { get; set; }

        [Description("意向方针ID")]
        [DataFieldForeignKey("Nav_Guidelines")]
        public Guid? GUIDELINES_ID { get; set; }

        [Description("导航属性：意向方针")]
        public virtual T_PT_INTENTIONAL_GUIDELINES Nav_Guidelines { get; set; }

        [Description("其他建议")]
        [FormFieldTable]
        [FormFieldQuery]
        public string OTHER_SUGGESTIONS { get; set; }

        [Description("填报人ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：填报人")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("填报人部门ID")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：填报人部门表")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
        [Description("是否满意")]
        public bool IS_AGREE { get; set; }
    }
}
